package de.ozgcloud.eingang.xta;

import java.util.List;

import jakarta.validation.Valid;

import org.springframework.stereotype.Service;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.Setter;

@Service
@RequiredArgsConstructor
public class XtaCurrentIdentifierService {

	@Setter
	@Getter
	private String currentIdentifier;

	@Valid
	private final XtaProperties properties;

	public List<String> getIdentifiers() {
		return properties.getIdentifiers();
	}

}
